#include<bits/stdc++.h>
using namespace std;
ifstream f1("bai3_17.inp");
ofstream f2("bai3_17.out");
int main ()
{
	int n,a[1000],max,min;
	f1>>n;
	for(int i=1;i<=n;i++)
	{
		f1>>a[i];
	}
	max=a[1];
	for(int i=1;i<=n;i++)
	{
		if(max<a[i])
		{ max=a[i];}
	}
	min=a[1];
	for (int i=1;i<=n;i++)
	{
		if(min>a[i])
	        {min=a[i];}
    }
    f2<<max+min;
    f1.close();
    f2.close();
}
